NX Open C++ Reference Guide
|
Represents a curve continuity builder <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder @endlink <br>
Default values. More...
Public Member Functions | |
double | EndPointX () |
Returns the end point x value Created in NX7.0.0. | |
double | EndPointY () |
Returns the end point y value Created in NX7.0.0. | |
double | EndPointZ () |
Returns the end point z value Created in NX7.0.0. | |
bool | G0Check () |
Returns the G0 check Created in NX7.0.0. | |
bool | G1Check () |
Returns the G1 check Created in NX7.0.0. | |
bool | G2Check () |
Returns the G2 check Created in NX7.0.0. | |
bool | G3Check () |
Returns the G3 check Created in NX7.0.0. | |
NXOpen::SelectNXObject * | SelectCurve () |
Returns the select curve Created in NX7.0.0. | |
NXOpen::SelectNXObject * | SelectObject () |
Returns the select object Created in NX7.0.0. | |
void | SetEndPointX (double endPointX) |
Sets the end point x value Created in NX7.0.0. | |
void | SetEndPointY (double endPointY) |
Sets the end point y value Created in NX7.0.0. | |
void | SetEndPointZ (double endPointZ) |
Sets the end point z value Created in NX7.0.0. | |
void | SetG0Check (bool g0Check) |
Sets the G0 check Created in NX7.0.0. | |
void | SetG1Check (bool g1Check) |
Sets the G1 check Created in NX7.0.0. | |
void | SetG2Check (bool g2Check) |
Sets the G2 check Created in NX7.0.0. | |
void | SetG3Check (bool g3Check) |
Sets the G3 check Created in NX7.0.0. | |
void | SetShowNeedle (bool showNeedle) |
Sets the show needle Created in NX7.0.0. | |
bool | ShowNeedle () |
Returns the show needle Created in NX7.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a curve continuity builder <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder GeometricAnalysis::AnalysisObjectCollection::CreateCurveContinuityBuilder @endlink <br>
Default values.
Property | Value |
---|---|
EndPointX |
0 |
EndPointY |
0 |
EndPointZ |
0 |
G0Check |
1 |
G1Check |
0 |
G2Check |
0 |
G3Check |
0 |
ShowNeedle |
1 |
Created in NX7.0.0.
double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointX | ( | ) |
Returns the end point x value
Created in NX7.0.0.
License requirements : None
double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointY | ( | ) |
Returns the end point y value
Created in NX7.0.0.
License requirements : None
double NXOpen::GeometricAnalysis::CurveContinuityBuilder::EndPointZ | ( | ) |
Returns the end point z value
Created in NX7.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G0Check | ( | ) |
Returns the G0 check
Created in NX7.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G1Check | ( | ) |
Returns the G1 check
Created in NX7.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G2Check | ( | ) |
Returns the G2 check
Created in NX7.0.0.
License requirements : None
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::G3Check | ( | ) |
Returns the G3 check
Created in NX7.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::GeometricAnalysis::CurveContinuityBuilder::SelectCurve | ( | ) |
Returns the select curve
Created in NX7.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::GeometricAnalysis::CurveContinuityBuilder::SelectObject | ( | ) |
Returns the select object
Created in NX7.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointX | ( | double | endPointX | ) |
Sets the end point x value
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
endPointX | endpointx |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointY | ( | double | endPointY | ) |
Sets the end point y value
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
endPointY | endpointy |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetEndPointZ | ( | double | endPointZ | ) |
Sets the end point z value
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
endPointZ | endpointz |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG0Check | ( | bool | g0Check | ) |
Sets the G0 check
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
g0Check | g0check |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG1Check | ( | bool | g1Check | ) |
Sets the G1 check
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
g1Check | g1check |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG2Check | ( | bool | g2Check | ) |
Sets the G2 check
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
g2Check | g2check |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetG3Check | ( | bool | g3Check | ) |
Sets the G3 check
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
g3Check | g3check |
void NXOpen::GeometricAnalysis::CurveContinuityBuilder::SetShowNeedle | ( | bool | showNeedle | ) |
Sets the show needle
Created in NX7.0.0.
License requirements : studio_analyze ("STUDIO ANALYZE")
showNeedle | showneedle |
bool NXOpen::GeometricAnalysis::CurveContinuityBuilder::ShowNeedle | ( | ) |
Returns the show needle
Created in NX7.0.0.
License requirements : None